Subject: Re: [bug#77186] [PATCH v2 02/13] services: gitolite-rc-file: Add log-extra field.

From: Tomas Volf <[email-masked]>
Date: Thu, 27 Mar 2025 18:38:48 +0100

Maxim Cournoyer <[email-masked]> writes:

> Hi Tomas,
>
> Tomas Volf <[email-masked]> writes:
>
>> * gnu/services/version-control.scm (<gitolite-rc-file>): Add log-extra field.
>> (gitolite-rc-file-compiler): Handle it during configuration file generation.
>> * doc/guix.texi (Version Control Services): Document it.
>
> [...]
>
>> +@item @code{log-extra} (default: @code{#f})
>> +Whether gitolite should log extra details.
>> +
>> +For historical reasons, this field defaults to @code{#f}.  The default
>> +value from gitolite however is @code{1} (written as @code{#t} in this
>> +configuration).
>
> Since this is newly introduced, what ar ethe historical reasons given?
> Shouldn't it follows the default upstream behavior and default to #t?

The problem is that the upstream default is done using the following
lines in the default configuration file (distributed with gitolite):

--8<---------------cut here---------------start------------->8---
    # comment out if you don't need all the extra detail in the logfile
    LOG_EXTRA                       =>  1,
--8<---------------cut here---------------end--------------->8---

Since we are generating our own configuration file from scratch, and it
does not include the LOG_EXTRA line, we have already changed the
behavior away from the default one, and I felt it necessary to keep it
that way.

Tomas

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.